Bug 951838 - [abrt] mate-panel-1.5.6-1.fc19: g_type_check_instance_cast: Process /usr/bin/mate-panel was killed by signal 11 (SIGSEGV)
Summary: [abrt] mate-panel-1.5.6-1.fc19: g_type_check_instance_cast: Process /usr/bin/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0b78cc126fcacac17dd1f650b9f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-13 16:51 UTC by Dan Waleke
Modified: 2013-04-20 19:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:27:36 UTC


Attachments (Terms of Use)
File: backtrace (33.62 KB, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: cgroup (130 bytes, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: core_backtrace (2.68 KB, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: dso_list (10.00 KB, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: environ (1.25 KB, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: maps (52.51 KB, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: open_fds (2.29 KB, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details
File: var_log_messages (319 bytes, text/plain)
2013-04-13 16:51 UTC, Dan Waleke
no flags Details

Description Dan Waleke 2013-04-13 16:51:32 UTC
Description of problem:
I did a fresh install of Fedora 19 from the net install disk with the Mate desktop.   Just booting up and logging into the computer generated the error.

Version-Release number of selected component:
mate-panel-1.5.6-1.fc19

Additional info:
backtrace_rating: 4
cmdline:        mate-panel
crash_function: g_type_check_instance_cast
executable:     /usr/bin/mate-panel
kernel:         3.9.0-0.rc6.git0.1.fc19.x86_64
runlevel:       N 5
uid:            1000
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4022
 #1 display_workspace_names_changed at workspace-switcher.c:401
 #2 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 g_settings_real_change_event at gsettings.c:288
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:522
 #9 g_cclosure_marshal_generic_va at gclosure.c:1550
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 settings_backend_path_changed at gsettings.c:363

Comment 1 Dan Waleke 2013-04-13 16:51:35 UTC
Created attachment 735372 [details]
File: backtrace

Comment 2 Dan Waleke 2013-04-13 16:51:36 UTC
Created attachment 735373 [details]
File: cgroup

Comment 3 Dan Waleke 2013-04-13 16:51:38 UTC
Created attachment 735374 [details]
File: core_backtrace

Comment 4 Dan Waleke 2013-04-13 16:51:39 UTC
Created attachment 735375 [details]
File: dso_list

Comment 5 Dan Waleke 2013-04-13 16:51:41 UTC
Created attachment 735376 [details]
File: environ

Comment 6 Dan Waleke 2013-04-13 16:51:42 UTC
Created attachment 735377 [details]
File: limits

Comment 7 Dan Waleke 2013-04-13 16:51:44 UTC
Created attachment 735378 [details]
File: maps

Comment 8 Dan Waleke 2013-04-13 16:51:46 UTC
Created attachment 735379 [details]
File: open_fds

Comment 9 Dan Waleke 2013-04-13 16:51:47 UTC
Created attachment 735380 [details]
File: proc_pid_status

Comment 10 Dan Waleke 2013-04-13 16:51:49 UTC
Created attachment 735381 [details]
File: var_log_messages

Comment 11 Dan Mashal 2013-04-13 19:36:38 UTC
please post the output of 'rpm -qa |grep mate'

Comment 12 Dan Waleke 2013-04-13 19:45:04 UTC
Output of 'rpm -qa | grep mate':

mate-panel-1.5.6-1.fc19.x86_64
mate-desktop-libs-1.6.0-1.fc19.x86_64
mate-image-viewer-1.6.0-1.fc19.x86_64
mate-system-log-1.5.0-1.fc19.x86_64
libmatekeyring-1.6.0-1.fc19.x86_64
mate-menu-editor-1.5.0-2.fc19.noarch
mate-icon-theme-1.6.0-1.fc19.noarch
mate-backgrounds-1.5.0-3.fc19.noarch
mate-utils-1.5.0-1.fc19.x86_64
mate-menus-libs-1.6.0-1.fc19.x86_64
mate-corba-1.4.1-3.fc19.x86_64
mate-settings-daemon-1.6.0-1.fc19.x86_64
mate-dialogs-1.5.1-1.fc19.x86_64
mate-polkit-1.6.0-1.fc19.x86_64
libmateweather-1.6.0-1.fc19.x86_64
mate-power-manager-1.6.0-1.fc19.x86_64
mate-screensaver-1.5.2-1.fc19.x86_64
mate-terminal-1.6.1-1.fc19.x86_64
mate-text-editor-1.5.0-1.fc19.x86_64
mate-calc-1.5.2-1.fc19.x86_64
libmatekbd-1.6.0-1.fc19.x86_64
mate-keyring-1.6.0-1.fc19.x86_64
mate-desktop-1.6.0-1.fc19.x86_64
mate-bluetooth-1.6.0-1.fc19.x86_64
mate-applets-1.5.2-2.fc19.x86_64
mate-control-center-1.6.0-1.fc19.x86_64
mate-menus-1.6.0-1.fc19.x86_64
mate-file-manager-1.6.0-1.fc19.x86_64
mate-file-manager-open-terminal-1.6.0-1.fc19.x86_64
mate-system-monitor-1.6.0-1.fc19.x86_64
mate-notification-daemon-1.5.2-1.fc19.x86_64
libmatewnck-1.6.0-1.fc19.x86_64
mate-session-manager-1.6.0-1.fc19.x86_64
mate-media-1.6.0-1.fc19.x86_64
mate-themes-1.5.1-1.fc19.noarch
mate-keyring-pam-1.6.0-1.fc19.x86_64
mate-bluetooth-libs-1.6.0-1.fc19.x86_64
mate-netspeed-1.5.2-1.fc19.x86_64
mate-file-manager-extensions-1.6.0-1.fc19.x86_64
mate-file-archiver-1.6.0-1.fc19.x86_64
mate-window-manager-1.6.0-1.fc19.x86_64
mate-panel-libs-1.5.6-1.fc19.x86_64
mate-file-manager-sendto-1.5.0-3.fc19.x86_64
mate-file-manager-image-converter-1.6.0-1.fc19.x86_64

Comment 13 Dan Mashal 2013-04-13 19:47:57 UTC
Please run 'yum update --enablerepo=updates-testing'

Comment 14 Dan Waleke 2013-04-13 19:52:59 UTC
Loaded plugins: langpacks, refresh-packagekit
No packages marked for update

Comment 15 Dan Waleke 2013-04-13 19:55:15 UTC
I did a yum clean all and then another yum update.   Looks like mate-file-manager and mate-file-manager-extensions (1.6.1-1) now show up as an update.  

I'll give it a try.  Thanks!

Comment 16 Dan Mashal 2013-04-13 19:58:55 UTC
Please report back if this fixes your issue or not. Thanks.

Comment 17 Fedora Update System 2013-04-14 10:16:18 UTC
mate-panel-1.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-panel-1.6.0-1.fc19

Comment 18 Dan Waleke 2013-04-14 15:05:48 UTC
So far the issue has not returned.

Comment 19 Fedora Update System 2013-04-14 19:15:46 UTC
Package mate-panel-1.6.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-panel-1.6.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5648/mate-panel-1.6.0-1.fc19
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-04-20 19:27:38 UTC
mate-panel-1.6.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.